org.apache.poi.ooxml.util

## Class DocumentHelper

- java.lang.Object
- - org.apache.poi.ooxml.util.DocumentHelper

-     public final class DocumentHelper
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addNamespaceDeclaration(org.w3c.dom.Element element, javax.xml.stream.events.Namespace namespace)` Adds a namespace declaration attribute to the given element.
    `static void` | `addNamespaceDeclaration(org.w3c.dom.Element element, java.lang.String namespacePrefix, java.lang.String namespaceURI)` Adds a namespace declaration attribute to the given element.
    `static org.w3c.dom.Document` | `createDocument()` Creates a new DOM Document
    `static javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()` Creates a new document builder, with sensible defaults
    `static org.w3c.dom.Document` | `readDocument(org.xml.sax.InputSource inp)` Parses the given stream via the default (sensible) DocumentBuilder
    `static org.w3c.dom.Document` | `readDocument(java.io.InputStream inp)` Parses the given stream via the default (sensible) DocumentBuilder

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newDocumentBuilder

          public static javax.xml.parsers.DocumentBuilder newDocumentBuilder()

      Creates a new document builder, with sensible defaults
      Throws:
        `java.lang.IllegalStateException` - If creating the DocumentBuilder fails, e.g. due to `ParserConfigurationException`.

    - #### readDocument

          public static org.w3c.dom.Document readDocument(java.io.InputStream inp)
                                                   throws java.io.IOException,
                                                          org.xml.sax.SAXException

      Parses the given stream via the default (sensible) DocumentBuilder
      Parameters:
        `inp` - Stream to read the XML data from
      Returns:
        the parsed Document
      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### readDocument

          public static org.w3c.dom.Document readDocument(org.xml.sax.InputSource inp)
                                                   throws java.io.IOException,
                                                          org.xml.sax.SAXException

      Parses the given stream via the default (sensible) DocumentBuilder
      Parameters:
        `inp` - sax source to read the XML data from
      Returns:
        the parsed Document
      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### createDocument

          public static org.w3c.dom.Document createDocument()

      Creates a new DOM Document

    - #### addNamespaceDeclaration

          public static void addNamespaceDeclaration(org.w3c.dom.Element element,
                                                     java.lang.String namespacePrefix,
                                                     java.lang.String namespaceURI)

      Adds a namespace declaration attribute to the given element.

    - #### addNamespaceDeclaration

          public static void addNamespaceDeclaration(org.w3c.dom.Element element,
                                                     javax.xml.stream.events.Namespace namespace)

      Adds a namespace declaration attribute to the given element.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.